Mac user? macOS Catalina requires a reinstallation of EndNote

mac OS Catalina is incompatible with any version of EndNote older than X9.3.1. To solve the problem, EndNote must be reinstalled.

Remove the program from your computer (make sure to keep your library files), and reinstall from our website.

Published 21. October 2019 - 13:38 - Updated 21. October 2019 - 13:38